/* 
 * dpp.h
 * 
 * Practical Algorithms for Image Analysis
 * 
 * Copyright (c) 1997 1997, 1998, 1999 MLMSoftwareGroup, LLC
 */

#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "ip.h"

/* function prototypes */

extern void usage (char *progname);
extern void draw_points (int *x, int *y, long n, struct Image *imgOut, int value);
extern void generate_cluster (int *xc, int *yc, Sp cur_seed_pt, int N0, int Nc, double a0, Sp new_seed_pt, int nx, int ny, int *i);
extern Sp assign_new_seed (double d2, double d2max, Sp cur_seed_pt);
extern Sp random_point (int nx, int ny);
extern void generate_random_points (int *xc, int *yc, long npix, int nx, int ny);
extern void generate_ordered_points (int *x, int *y, long npix, int nx, int ny, float coverage);
extern void generate_clustered_points (int *xc, int *yc, long npix, int nx, int ny, long nxny);
extern void main (int argc, char **argv);
